Package com.io7m.idstore.server.service.templating

# Record Class IdFMEmailVerificationData

java.lang.Object
java.lang.Record
com.io7m.idstore.server.service.templating.IdFMEmailVerificationData

Record Components:
  `productTitle` - The product title
  `verification` - The verification
  `host` - The host
  `userAgent` - The user agent
  `linkAllow` - The link to allow verification
  `linkDeny` - The link to deny verification

All Implemented Interfaces:
  `IdFMDataModelType`

public record IdFMEmailVerificationData(String productTitle, IdEmailVerification verification, String host, String userAgent, Optional<URI> linkAllow, URI linkDeny) extends Record implements IdFMDataModelType
Data for email verification templates.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdFMEmailVerificationData(String productTitle, IdEmailVerification verification, String host, String userAgent, Optional<URI> linkAllow, URI linkDeny)`
  Data for email verification templates.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `host()`
  Returns the value of the `host` record component.
  `Optional<URI>`
  `linkAllow()`
  Returns the value of the `linkAllow` record component.
  `URI`
  `linkDeny()`
  Returns the value of the `linkDeny` record component.
  `String`
  `productTitle()`
  Returns the value of the `productTitle` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `Map<String,Object>`
  `toTemplateHash()`
  `String`
  `userAgent()`
  Returns the value of the `userAgent` record component.
  `IdEmailVerification`
  `verification()`
  Returns the value of the `verification` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdFMEmailVerificationData

    public IdFMEmailVerificationData(String productTitle, IdEmailVerification verification, String host, String userAgent, Optional<URI> linkAllow, URI linkDeny)
    Data for email verification templates.
    Parameters:
      `productTitle` - The product title
      `verification` - The verification
      `host` - The host
      `userAgent` - The user agent
      `linkAllow` - The link to allow verification
      `linkDeny` - The link to deny verification

- ## Method Details

  - ### toTemplateHash

    public Map<String,Object> toTemplateHash()
    Specified by:
      `toTemplateHash` in interface `IdFMDataModelType`
    Returns:
      The data as a freemarker template hash

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### productTitle

    public String productTitle()
    Returns the value of the `productTitle` record component.
    Returns:
      the value of the `productTitle` record component

  - ### verification

    public IdEmailVerification verification()
    Returns the value of the `verification` record component.
    Returns:
      the value of the `verification` record component

  - ### host

    public String host()
    Returns the value of the `host` record component.
    Returns:
      the value of the `host` record component

  - ### userAgent

    public String userAgent()
    Returns the value of the `userAgent` record component.
    Returns:
      the value of the `userAgent` record component

  - ### linkAllow

    public Optional<URI> linkAllow()
    Returns the value of the `linkAllow` record component.
    Returns:
      the value of the `linkAllow` record component

  - ### linkDeny

    public URI linkDeny()
    Returns the value of the `linkDeny` record component.
    Returns:
      the value of the `linkDeny` record component